package cn.iocoder.yudao.module.bpm.service.definition;

import cn.iocoder.yudao.module.bpm.controller.admin.definition.vo.copy.TaskCopyUserSaveReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.definition.TaskCopyUserDO;

import javax.validation.Valid;

public interface TaskCopyUserService {

    /**
     * 创建抄送用户
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createTaskCopyUser(@Valid TaskCopyUserSaveReqVO createReqVO);

    /**
     * 更新抄送用户
     *
     * @param updateReqVO 更新信息
     */
    void updateTaskCopyUser(@Valid TaskCopyUserSaveReqVO updateReqVO);

    /**
     * 删除抄送用户
     *
     * @param id 编号
     */
    void deleteTaskCopyUser(Long id);

    /**
     * 获得抄送用户
     *
     * @param id 编号
     * @return 抄送用户
     */
    TaskCopyUserDO getTaskCopyUser(Long id);


    String getByProcessDefinitionId(String processDefinitionId);
}
